#include <iostream>
#include <cerrno>
#include <cstring>

#include "ld.h"

using namespace std;

int main() {
  double x;
  cout << "x: ";
  cin >> x;
  errno = 0;
  cout << "ld(" << x << ") = " << ld(x) << endl;
  if (errno) cout << strerror(errno) << endl;
}
